## python-defaults 2.7.2-10

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	rm -f .coverage $(MANPAGES)

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python2 $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 644 python2.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python/debpython/
	$(INSTALL) -m 755 pycompile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 pyclean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

%.1: %.rst
	rst2man $< > $@

manpages: $(MANPAGES)

dist_fallback:
	make -C pydist $@

check_versions:
	@set -e;\
	DEFAULT=`sed -rn 's,^DEFAULT = \(([0-9]+)\, ([0-9]+)\),\1.\2,p' debpython/version.py`;\
	SUPPORTED=`sed -rn 's,^SUPPORTED = \[\(([0-9]+)\, ([0-9]+)\)\, \(([0-9]+)\, ([0-9]+)\)\],\1.\2 \3.\4,p' debpython/version.py`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0-9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo "Please update DEFAULT in debpython/version.py ($$DEFAULT vs. $$DEB_DEFAULT)" >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo "Please update SUPPORTED in debpython/version.py ($$SUPPORTED vs. $$DEB_SUPPORTED)" >/dev/stderr; false)

pdebuild:
	pdebuild --debbuildopts -I

# TESTS
nose:
	nosetests --with-doctest --with-coverage

unittests:
	python2.7 -m unittest discover -v

tests: nose
	make -C tests

test%:
	make -C tests $@

.PHONY: clean tests test% check_versions

=== tests/Makefile ===
#!/usr/bin/make -f

# enable or disable tests here:
TESTS := test1 test2 test3 test4 test5 test6

all: $(TESTS)

test%:
	make -C t$* run
	make -C t$* check

clean-test%:
	make -C t$* clean

clean: $(TESTS:%=clean-%)
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb
	@find . -prune -name '*.egg-info' -exec rm -rf '{}' ';' || true

.PHONY: clean

=== tests/t1/Makefile ===
#!/usr/bin/make -f

all: run check

DPY=$(shell PYTHONPATH=../../ python -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))')

run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "Depends: .*python-mako" debian/python-foo/DEBIAN/control
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/__init__.py
	test ! -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/spam.py
	grep -q "Depends: .*python (<<" debian/python-foo/DEBIAN/control
	[ `readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/absolute_link_to_tmp` = /tmp ]
	[ `readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/link_to_parent_dir` = .. ]

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info

=== tests/t2/Makefile ===
#!/usr/bin/make -f

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo.py
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/bar/bar.py
	grep -q pycompile debian/python-foo/DEBIAN/postinst
	grep -q pyclean debian/python-foo/DEBIAN/prerm

clean:
	./debian/rules clean

=== tests/t3/Makefile ===
#!/usr/bin/make -f

all: run check

DPY=$(shell PYTHONPATH=../../ python -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))')

run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "pycompile -p python-foo /usr/lib/python-foo -V $(DPY)"\
		debian/python-foo/DEBIAN/postinst
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so
	test ! -f debian/python-foo/usr/share/pyshared/foo/bar.so
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/spam.so
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/spam.so.0.1
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1.2

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info build

=== tests/t4/Makefile ===
#!/usr/bin/make -f

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q python2.6 debian/foo/usr/share/foo/foo.py
	grep -q Depends:.*python2.6 debian/foo/DEBIAN/control
	#grep -q python2.5 debian/foo/usr/share/bar/bar.py
	#grep -q Depends:.*python2.5 debian/foo/DEBIAN/control
	grep -q python2.4 debian/foo/usr/share/foo/baz.py
	test ! -x debian/foo/usr/share/foo/baz.py
	grep -q Depends:.*python2.4 debian/foo/DEBIAN/control && false || true

clean:
	./debian/rules clean

=== tests/t5/Makefile ===
#!/usr/bin/make -f

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	# test dh_python2
	test -f debian/python-foo/usr/share/pyshared/keep_this_one/__init__.py
	test ! -f debian/python-foo/usr/share/pyshared/remove_this_one/__init__.py
	test ! -f debian/python-foo/usr/share/pyshared/foo/__init__.py
	grep -q remove_this_one debian/python-foo/usr/share/python/ns/python-foo
	grep -q foo debian/python-foo/usr/share/python/ns/python-foo
	grep -q bar.baz debian/python-foo/usr/share/python/ns/python-foo
	grep -q keep_this_one debian/python-foo/usr/share/python/ns/python-foo && false || true
	grep -q "pycompile -p python-foo" debian/python-foo/DEBIAN/postinst
	grep -q "pyclean -p python-foo" debian/python-foo/DEBIAN/prerm
	# test pycompile
	DESTDIR=debian/python-foo/ ../../pycompile -v debian/python-foo/usr/lib/
	set -e; for i in remove_this_one bar bar/baz;\
	do [ `ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.py | wc -l` != '0' ];\
	[ `ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.pyc | wc -l` != '0' ];\
	done
	# test pyclean
	DESTDIR=debian/python-foo/ ../../pyclean -v debian/python-foo/usr/lib/
	set -e; for i in remove_this_one bar bar/baz;\
	do [ `ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.py 2>/dev/null || true | wc -l` = 0 ];\
	[ `ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.pyc 2>/dev/null || true | wc -l` = 0 ];\
	done

clean:
	./debian/rules clean

=== tests/t6/Makefile ===
#!/usr/bin/make -f

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	# python2.4 hardcoded via `dh_python2 -V 2.4`
	grep -q Depends:.*python2.4 debian/foo/DEBIAN/control
	grep -q '\-V 2.4 /usr/share/baz24' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/baz24 \-V 2.4' debian/foo/DEBIAN/postinst
	# python2.5 due to X-Python-Version: 2.5
	grep -q Depends:.*python2.5 debian/foo/DEBIAN/control
	grep -q '\-V 2.5 /usr/share/bar25' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/bar25 \-V 2.5' debian/foo/DEBIAN/postinst
	# python2.6 hardcoded via shebang
	grep -q Depends:.*python2.6 debian/foo/DEBIAN/control
	grep -q '\-V 2.6 /usr/share/foo' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/foo \-V 2.6' debian/foo/DEBIAN/postinst

clean:
	./debian/rules clean

=== debian/changelog ===
python-defaults (2.7.2-10) unstable; urgency=low

  [ Matthias Klose ]
  * dh_python2: For argparse eggs, generate dependencies of the form
    "python (>= 2.7) | python-argparse". Closes: #653644, #657119.
  * Regenerate pydist/dist_fallback.

  [ Piotr Ożarowski ]
  * pycompile: fix -O option
  * dh_python2: do not try to add python2.X dependency if private dir works
    with all Python versions

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2012 11:49:24 +0100

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 6.0.7~)
Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3)
Standards-Version: 3.9.2
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files

Package: python
Architecture: all
Priority: standard
Depends: ${misc:Depends}, python2.7 (>= 2.7.2-3~), python-minimal (= ${binary:Version})
Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
Conflicts: python-central (<< 0.5.5)
Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager-core (<< 0.200.5-2)
Replaces: python-dev (<< 2.6.5-2)
Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
Description: interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-minimal
Architecture: all
Priority: standard
Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.2-3~), dpkg (>= 1.13.20)
Recommends: python
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.4-1), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
Replaces: python (<= 2.4-1)
Description: minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-examples
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.2-3~)
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dev
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.2-3~)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: idle
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python-tk (>= 2.4.3-3), idle-python2.7
Enhances: python
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7) of IDLE.

Package: python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, python2.7-doc (>= 2.7.2-3~)
Suggests: python-examples, python (= ${binary:Version})
Breaks: python (<< 2.3.5)
Replaces: python (<< 2.3.5)
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.7). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dbg
Architecture: all
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.2-3~)
Provides: python-gdbm-dbg, python-tk-dbg
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: python-all
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6 (>= 2.6.7-3), python2.7 (>= 2.7.2-3)
Description: package depending on all supported Python runtime versions
 The package currently depends on python2.6 and python2.7, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python runtimes.

Package: python-all-dev
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dev (= ${binary:Version}), python2.6-dev (>= 2.6.5-2), python2.7-dev (>= 2.7-7)
Description: package depending on all supported Python development packages
 The package currently depends on python2.6-dev and python2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

Package: python-all-dbg
Architecture: all
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.6-dbg (>= 2.6.5-2), python2.7-dbg (>= 2.7-7)
Description: package depending on all supported Python debugging packages
 The package currently depends on python2.6-dbg and python2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell lsb_release -is)

export VER=2.7
export NVER=2.8
export PVER=python2.7

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
PREVVER := 2.7.2-3~

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
build-arch: stamp-build
build-indep: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	make -C pydist README.PyDist.html
	touch stamp-doc-policy

stamp-doc: stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs usr/share/doc/python/faq
	dh_install

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/

	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	make check_versions
	DESTDIR=debian/python PREFIX=/usr make install-dev
	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime manpages
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make -C pydist dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

	: # provide the python and python.1 defaults
	mkdir -p debian/python-minimal/usr/bin
	ln -sf python$(VER) debian/python-minimal/usr/bin/python
	mkdir -p debian/python-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python.1.gz

	: # 
	mkdir -p debian/python-minimal/usr/share/python
	cp -p debian/debian_defaults \
		debian/python-minimal/usr/share/python/

	install -m 755 debian/pyversions.py \
		debian/python-minimal/usr/share/python/
	install -m 644 debian/pyversions.1 \
		debian/python-minimal/usr/share/man/man1/
	dh_link -ppython /usr/share/python/pyversions.py /usr/bin/pyversions

#	install -m 755 debian/pycompile \
#		debian/python-minimal/usr/bin/
#	install -m 755 debian/pyclean \
#		debian/python-minimal/usr/bin/

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python/usr/bin
	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
	ln -sf pdb$(VER) debian/python/usr/bin/pdb
	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3

	mkdir -p debian/python/usr/share/python
	install -m 644 debian/python.mk \
		debian/python/usr/share/python/

	mkdir -p debian/python/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python/usr/share/man/man1/pydoc.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python/usr/share/man/man1/pygettext.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python/usr/share/man/man1/pdb.1.gz
	ln -sf 2to3-$(VER).1.gz \
		debian/python/usr/share/man/man1/2to3.1.gz

	mkdir -p debian/python/usr/share/doc/python
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python/

	mkdir -p debian/python/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python/usr/share/pixmaps/python.xpm

	: # add symlinks to policy files
	mkdir -p debian/python/usr/share/doc/python$(VER)
	for ext in html sgml.gz txt.gz; do \
	  ln -sf ../python/python-policy.$$ext \
		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
	done

ifeq ($(with_doc),yes)
	mkdir -p debian/python-doc/usr/share/doc/python
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python/html
	mkdir -p debian/python-doc/usr/share/doc/python-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python-doc/html
endif

	mkdir -p debian/python/usr/share/apps/konsole
	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/

	: # provide the python-config default
	mkdir -p debian/python-dev/usr/bin
	ln -sf python$(VER)-config debian/python-dev/usr/bin/python-config

	: # provide the python-dbg and python-dbg.1 defaults
	mkdir -p debian/python-dbg/usr/bin
	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
	ln -sf python$(VER)-dbg-config debian/python-dbg/usr/bin/python-dbg-config
	mkdir -p debian/python-dbg/usr/share/man/man1
	ln -sf python$(VER)-dbg.1.gz \
		debian/python-dbg/usr/share/man/man1/python-dbg.1.gz
	mkdir -p debian/python-dbg/usr/share/doc/python
	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
		debian/python-dbg/usr/share/doc/python/SpecialBuilds.txt.gz
	ln -sf ../python$(VER)/README.debug \
		debian/python-dbg/usr/share/doc/python/README.debug

	mkdir -p debian/python/usr/lib/valgrind
	cp -p debian/valgrind-python.supp \
		debian/python/usr/lib/valgrind/python.supp

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1

	mkdir -p debian/idle/usr/share/pixmaps
	ln -sf python.xpm debian/python/usr/share/pixmaps/idle.xpm

=== tests/t1/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:
	find debian/ -name jquery.js -exec \
	ln -fs /usr/share/javascript/jquery/jquery.js '{}' \;
	find debian/ -name foo -type d -exec \
	ln -s /tmp/ '{}/absolute_link_to_tmp' \;
	find debian/ -name foo -type d -exec \
	ln -s .. '{}/link_to_parent_dir' \;
	DH_VERBOSE=1 ../../dh_python2\
		--depends 'SQLAlchemy >= 0.6.1'\
		--recommends Mako\
		--suggests 'Foo >= 0.1'\
		--suggests 'bar >= 1.0'

=== tests/t3/debian/rules ===
#!/usr/bin/make -f
DPY=$(shell PYTHONPATH=../../ python -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))')
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:
	# install also as private extension
	dh_install debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
		/usr/lib/python-foo/
	# ... and under versioned name with a symlink
	cp debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
	   debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/spam.so.0
	dh_link /usr/lib/python${DPY}/dist-packages/foo/spam.so.0 \
		/usr/lib/python${DPY}/dist-packages/foo/spam.so
	# ... and with multiple symlinks
	cp debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
	   debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1.2
	dh_link /usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1.2 \
		/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1
	dh_link /usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1 \
		/usr/lib/python${DPY}/dist-packages/foo/baz.so
	DH_VERBOSE=1 ../../dh_python2

=== tests/t5/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_auto_build:

override_dh_auto_install:
	set -e;\
	cd debian/python-foo/usr/share/pyshared/;\
	echo "keep_this_one\nremove_this_one" > foo.egg-info/namespace_packages.txt;\
	echo "True" > keep_this_one/__init__.py;\
	touch remove_this_one/__init__.py remove_this_one/foo.py bar/baz/spam.py


override_dh_pysupport:
	DH_VERBOSE=1 ../../dh_python2 --namespace foo --namespace bar.baz --namespace bar

clean:
	dh_clean

## python-defaults 2.7.3-0ubuntu2

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	make -C pydist $@
 
 check_versions:
-	@set -e;\
+	@set -ex;\
 	DEFAULT=`sed -rn 's,^DEFAULT = \(([0-9]+)\, ([0-9]+)\),\1.\2,p' debpython/version.py`;\
 	SUPPORTED=`sed -rn 's,^SUPPORTED = \[\(([0-9]+)\, ([0-9]+)\)\, \(([0-9]+)\, ([0-9]+)\)\],\1.\2 \3.\4,p' debpython/version.py`;\
 	DEB_DEFAULT=`sed -rn 's,^default-version = python([0-9.]*),\1,p' debian/debian_defaults`;\

=== debian/changelog ===
python-defaults (2.7.3-0ubuntu2) precise-proposed; urgency=low

  * Re-add the python2 and python2-config symlinks, formerly present
    in the python2.7 packages. PEP 394.
  * Build dependency packages as architecture dependent packages again.
    LP: #934593.
  * Move idle.xpm into the idle package.
  * Stop providing python-argparse (also provided by python2.7).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Apr 2012 15:54:22 +0200

python-defaults (2.7.3-0ubuntu1) precise; urgency=low

  * Bump version to 2.7.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Apr 2012 23:54:23 +0200

python-defaults (2.7.2-9ubuntu6) precise; urgency=low

  * Revert to 2.7.2-9ubuntu2 as the arch:all -> arch:any change needs to be
    properly bootstrapped

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 16 Mar 2012 01:02:42 -0500

python-defaults (2.7.2-9ubuntu5) precise; urgency=low

  * Build docs on all archs now at least until a better solution is found;
    This temporarily fixes the FTBFS and the inabiity to install python on !i386
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 16 Mar 2012 00:39:49 -0500

python-defaults (2.7.2-9ubuntu4) precise; urgency=low

  * Build dependency packages as architecture dependent packages. LP: #934593.
  * Provide python2 and python2-config symlinks.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Mar 2012 02:36:04 +0100

python-defaults (2.7.2-9ubuntu2) precise; urgency=low

  * python: Provide python-argparse.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Dec 2011 22:43:22 +0100

python-defaults (2.7.2-9ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Build depend on lsb-release
    - Ignore vesion check
    - Drop python2.6 support
    - Package priorities and status.
    - Adjust version numbers in maintainer scripts.
    - Provide Python pkgconfig defaults

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Nov 2011 08:54:54 -0500

python-defaults (2.7.2-7ubuntu4) precise; urgency=low

  * Build-depend on lsb-release.
  * Ignore version check.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Oct 2011 22:39:31 +0200

python-defaults (2.7.2-7ubuntu3) precise; urgency=low

  * Drop python2.6 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Oct 2011 16:07:04 +0200

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 6.0.7~), lsb-release, libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3)
Standards-Version: 3.9.3
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files

Package: python
Architecture: any
Priority: important
Depends: ${misc:Depends}, python2.7 (>= 2.7.3), python-minimal (= ${binary:Version})
Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
Conflicts: python-central (<< 0.5.5)
Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager-core (<< 0.200.5-2)
Replaces: python-dev (<< 2.6.5-2)
Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
Description: interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-minimal
Architecture: any
Essential: yes
Priority: required
Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3), dpkg (>= 1.13.20)
Recommends: python
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.4-1), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
Replaces: python (<= 2.4-1), python2.7 (<< 2.7.3)
Description: minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-examples
Architecture: all
Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.3)
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dev
Architecture: any
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.3)
Replaces: python2.7 (<< 2.7.3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: idle
Architecture: all
Depends: ${misc:Depends}, python (>= ${binary:Version}), python-tk (>= 2.4.3-3), idle-python2.7
Replaces: python (<< 2.7.3-0ubuntu2)
Enhances: python
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7) of IDLE.

Package: python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, python2.7-doc (>= 2.7.3)
Suggests: python-examples, python (= ${binary:Version})
Breaks: python (<< 2.3.5)
Replaces: python (<< 2.3.5)
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.7). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.3)
Provides: python-gdbm-dbg, python-tk-dbg
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: python-all
Architecture: any
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7 (>= 2.7.2-3)
Description: package depending on all supported Python runtime versions
 The package currently depends on python2.7, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python runtimes.

Package: python-all-dev
Architecture: any
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dev (= ${binary:Version}), python2.7-dev (>= 2.7-7)
Description: package depending on all supported Python development packages
 The package currently depends on python2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

Package: python-all-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7-7)
Description: package depending on all supported Python debugging packages
 The package currently depends on python2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

## python-defaults 2.7.3-0ubuntu2.2

=== debian/changelog ===
python-defaults (2.7.3-0ubuntu2.2) precise-proposed; urgency=low

  * Fix the python-dev Replaces to prevent installation regression.
    LP: #1167177

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 17 Jun 2013 14:06:09 -0400

python-defaults (2.7.3-0ubuntu2.1) precise-proposed; urgency=low

  * Make python{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
  * Provide python2.pc symlinks. LP: #1088771.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Mar 2013 10:56:21 -0700

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: python
 Architecture: any
+Multi-Arch: allowed
 Priority: important
 Depends: ${misc:Depends}, python2.7 (>= 2.7.3), python-minimal (= ${binary:Version})
 Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
@@ -29,6 +30,7 @@
 
 Package: python-minimal
 Architecture: any
+Multi-Arch: allowed
 Essential: yes
 Priority: required
 Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3), dpkg (>= 1.13.20)
@@ -55,7 +57,7 @@
 Package: python-dev
 Architecture: any
 Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.3)
-Replaces: python2.7 (<< 2.7.3)
+Replaces: python2.7 (<< 2.7.3-0ubuntu3.2), python2.7-dev (<< 2.7.3-0ubuntu3.2)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -103,10 +105,12 @@
 
 Package: python-dbg
 Architecture: any
+Multi-Arch: allowed
 Section: debug
 Priority: extra
 Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.3)
 Provides: python-gdbm-dbg, python-tk-dbg
+Replaces: python2.7-dbg (<< 2.7.3-0ubuntu3.2)
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python2.7
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.7.2-3~
+PREVVER := 2.7.3
 
 PWD		:= $(shell pwd)
 
@@ -149,7 +149,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
-	make check_versions
+	-make check_versions
 	DESTDIR=debian/python PREFIX=/usr make install-dev
 	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime manpages
 	# disabled by default, run manually if you want to update it
@@ -163,12 +163,62 @@
 	dh_testroot -i
 	dh_installman -i
 
+ifeq ($(with_doc),yes)
+	mkdir -p debian/python-doc/usr/share/doc/python
+	ln -sf ../python$(VER)-doc/html \
+		debian/python-doc/usr/share/doc/python/html
+	mkdir -p debian/python-doc/usr/share/doc/python-doc
+	ln -sf ../python$(VER)-doc/html \
+		debian/python-doc/usr/share/doc/python-doc/html
+endif
+
+	: # provide the idle and idle.1 defaults
+	mkdir -p debian/idle/usr/bin
+	install -m 755 debian/idle.py debian/idle/usr/bin/idle
+
+	mkdir -p debian/idle/usr/share/man/man1
+	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1
+
+	mkdir -p debian/idle/usr/share/pixmaps
+	ln -sf python.xpm debian/idle/usr/share/pixmaps/idle.xpm
+
+	mkdir -p debian/idle/usr/share/applications
+	cp -p debian/idle.desktop debian/idle/usr/share/applications/
+
+#	dh_installdebconf -i $(NOPKGS)
+	dh_lintian -i
+	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
+	dh_installmenu -i $(NOPKGS)
+	dh_installchangelogs -i $(NOPKGS)
+
+	for p in examples idle; do \
+	  [ $$p = idle ] || p=python-$$p; \
+	  rm -rf debian/$$p/usr/share/doc/$$p; \
+	  ln -sf python debian/$$p/usr/share/doc/$$p; \
+	done
+
+	dh_compress -i $(NOPKGS)
+	dh_fixperms -i $(NOPKGS)
+	dh_installdeb -i $(NOPKGS)
+	dh_gencontrol -i $(NOPKGS)
+	dh_md5sums -i $(NOPKGS)
+	dh_builddeb -i $(NOPKGS)
+
+# Build architecture-dependent files here.
+binary-arch: build install stamp-doc
+	dh_testdir -a
+	dh_testroot -a
+	dh_installman -a
+
 	: # provide the python and python.1 defaults
 	mkdir -p debian/python-minimal/usr/bin
 	ln -sf python$(VER) debian/python-minimal/usr/bin/python
+	ln -sf python$(VER) debian/python-minimal/usr/bin/python2
 	mkdir -p debian/python-minimal/usr/share/man/man1
 	ln -sf python$(VER).1.gz \
 		debian/python-minimal/usr/share/man/man1/python.1.gz
+	ln -sf python$(VER).1.gz \
+		debian/python-minimal/usr/share/man/man1/python2.1.gz
 
 	: # 
 	mkdir -p debian/python-minimal/usr/share/python
@@ -223,46 +273,6 @@
 		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
 	done
 
-ifeq ($(with_doc),yes)
-	mkdir -p debian/python-doc/usr/share/doc/python
-	ln -sf ../python$(VER)-doc/html \
-		debian/python-doc/usr/share/doc/python/html
-	mkdir -p debian/python-doc/usr/share/doc/python-doc
-	ln -sf ../python$(VER)-doc/html \
-		debian/python-doc/usr/share/doc/python-doc/html
-endif
-
 	mkdir -p debian/python/usr/share/apps/konsole
 	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/
 
-	: # provide the python-config default
-	mkdir -p debian/python-dev/usr/bin
-	ln -sf python$(VER)-config debian/python-dev/usr/bin/python-config
-
-	: # provide the python-dbg and python-dbg.1 defaults
-	mkdir -p debian/python-dbg/usr/bin
-	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
-	ln -sf python$(VER)-dbg-config debian/python-dbg/usr/bin/python-dbg-config
-	mkdir -p debian/python-dbg/usr/share/man/man1
-	ln -sf python$(VER)-dbg.1.gz \
-		debian/python-dbg/usr/share/man/man1/python-dbg.1.gz
-	mkdir -p debian/python-dbg/usr/share/doc/python
-	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
-		debian/python-dbg/usr/share/doc/python/SpecialBuilds.txt.gz
-	ln -sf ../python$(VER)/README.debug \
-		debian/python-dbg/usr/share/doc/python/README.debug
-
-	mkdir -p debian/python/usr/lib/valgrind
-	cp -p debian/valgrind-python.supp \
-		debian/python/usr/lib/valgrind/python.supp
-
-	: # provide the idle and idle.1 defaults
-	mkdir -p debian/idle/usr/bin
-	install -m 755 debian/idle.py debian/idle/usr/bin/idle
-
-	mkdir -p debian/idle/usr/share/man/man1
-	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1
-
-	mkdir -p debian/idle/usr/share/pixmaps
-	ln -sf python.xpm debian/python/usr/share/pixmaps/idle.xpm
-

## python-defaults 2.7.3-0ubuntu7

=== debian/changelog ===
python-defaults (2.7.3-0ubuntu7) quantal; urgency=low

  * Avoid TypeError in dh_python when maximum version is specified.
    LP: #1048091

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 10 Oct 2012 15:45:02 -0400

python-defaults (2.7.3-0ubuntu6) quantal; urgency=low

  * Remove pyversions.py[co] at purge command too (LP: #1054442)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sat, 22 Sep 2012 13:12:14 +0900

python-defaults (2.7.3-0ubuntu5) quantal; urgency=low

  * Remove Essential flag from python-minimal.  We have never intentionally
    relied on this elsewhere in the system, and it's going to impede
    transitioning to future Python 3-only systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 May 2012 11:51:49 +0100

python-defaults (2.7.3-0ubuntu4) quantal; urgency=low

  * Revert 2.7.3-0ubuntu3 as this breaks a large number of packages and the
    benefits of it are unclear (LP: #1001912)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 May 2012 11:23:40 -0400

python-defaults (2.7.3-0ubuntu3) quantal; urgency=low

  * Stop installing packages and creating symlnks to /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Apr 2012 19:39:16 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 Package: python
 Architecture: any
-Multi-Arch: allowed
 Priority: important
 Depends: ${misc:Depends}, python2.7 (>= 2.7.3), python-minimal (= ${binary:Version})
 Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
@@ -30,8 +29,6 @@
 
 Package: python-minimal
 Architecture: any
-Multi-Arch: allowed
-Essential: yes
 Priority: required
 Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3), dpkg (>= 1.13.20)
 Recommends: python
@@ -57,7 +54,7 @@
 Package: python-dev
 Architecture: any
 Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.3)
-Replaces: python2.7 (<< 2.7.3-0ubuntu3.2), python2.7-dev (<< 2.7.3-0ubuntu3.2)
+Replaces: python2.7 (<< 2.7.3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -105,12 +102,10 @@
 
 Package: python-dbg
 Architecture: any
-Multi-Arch: allowed
 Section: debug
 Priority: extra
 Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.3)
 Provides: python-gdbm-dbg, python-tk-dbg
-Replaces: python2.7-dbg (<< 2.7.3-0ubuntu3.2)
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.

## python-defaults 2.7.3-0ubuntu7.1

=== debian/changelog ===
python-defaults (2.7.3-0ubuntu7.1) quantal-proposed; urgency=low

  * Make python{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Feb 2013 10:33:41 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: python
 Architecture: any
+Multi-Arch: allowed
 Priority: important
 Depends: ${misc:Depends}, python2.7 (>= 2.7.3), python-minimal (= ${binary:Version})
 Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
@@ -29,6 +30,7 @@
 
 Package: python-minimal
 Architecture: any
+Multi-Arch: allowed
 Priority: required
 Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.3), dpkg (>= 1.13.20)
 Recommends: python
@@ -102,6 +104,7 @@
 
 Package: python-dbg
 Architecture: any
+Multi-Arch: allowed
 Section: debug
 Priority: extra
 Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.3)
